Bug 464240 - [LTC 6.0 FEAT] 201056:Kdump Configuration: Improve system-config-kdump utility options
[LTC 6.0 FEAT] 201056:Kdump Configuration: Improve system-config-kdump utilit...
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: system-config-kdump (Show other bugs)
All All
medium Severity medium
: alpha
: ---
Assigned To: David Lehman
Depends On: 460544
Blocks: 356741
  Show dependency treegraph
Reported: 2008-09-26 16:10 EDT by IBM Bug Proxy
Modified: 2009-10-26 12:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-25 12:35:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-26 16:10:56 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-26 15:53 EDT
1. Feature Overview:
Feature Id:	[201056]
a. Name of Feature:	Kdump Configuration: Improve system-config-kdump utility options
b. Feature Description
Kdump is a RAS feature introduced in RHEL5. system-config-kdump is the configuration utility which
helps a user to set up kdump during installation. This feature request is regarding improving the
system-config-kdump utility to help user.

Additional Comments:	RHEL5.x requests being tracked through

IBM is planning to provide a patch for this functionality.

2. Feature Details:
Sponsor:	Linux Systems Tech

Arch Specificity: Purely Common Code
Delivery Mechanism: Patch attached to this bugzilla
Category:	RAS
Request Type:	IBM Deliverable
d. Upstream Acceptance:	No Code Required
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	no

3. Business Case
- Above requested feature will make kdump configuration task simple and more intuitive.
 - It is part of Fit-n-Finish initiative to make kdump field deployment smoother.
 - Allows user to use custom kernel/initrd which is suitable for customer env. For example,
currently one can not save dump to a multi-path IO device. But if a user is smart enough to build a
custom initrd and use that initrd for saving dump, he can save the dump to multi path IO device too.

- User will be able to configure kdump more easily.

4. Primary contact at Red Hat: 
John Jarvis

5. Primary contacts at Partner:
Project Management Contact:
Sarah Wright, sarahw@us.ibm.com, 503-578-5145

Technical contact(s):
Maneesh Soni, smaneesh@in.ibm.com
Mark Hamzy, hamzy@us.ibm.com

IBM Manager:
Jeffrey Heroux, heroux@us.ibm.com
Comment 1 Bill Nottingham 2008-10-03 16:31:09 EDT
... Patch does not appear to be attached.
Comment 2 IBM Bug Proxy 2009-03-03 07:40:30 EST
We are unable to complete this work in time for RHEL 6,  Defering this to RHEL 6.1
Comment 3 John Jarvis 2009-03-25 12:36:10 EDT
Closing as DEFERRED based on comment 2.

Note You need to log in before you can comment on or make changes to this bug.